class X {
	Integer f;
	X (Integer n) {
		this.f = n;
	}
	static public void main(String[] args) /*throws Exception*/ {
		X x = new X(1);
		if (3 > 2) {
			x.f = new Integer(3);
		}
		else {
			x.f = new Integer(2);
		}
	}
}